Package: org.codehaus.groovy.reflection.stdclasses

## [Java] Class BooleanCachedClass

- org.codehaus.groovy.reflection.stdclasses.BooleanCachedClass

-     public class BooleanCachedClass
      extends CachedClass

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CachedClass` | `EMPTY_ARRAY, classInfo, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `BooleanCachedClass(Class klazz, ClassInfo classInfo, boolean allowNull)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `isAssignableFrom(Class classToTransformFrom)`
    `` | `public boolean` | `isDirectlyAssignable(Object argument)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CachedClass` | `addNewMopMethods, coerceArgument, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, initValue, initValue, initValue, initValue, initValue, initValue, initValue, initValue, isAssignableFrom, isDirectlyAssignable, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString`

- - ### Constructor Detail

    - #### public BooleanCachedClass(Class klazz, ClassInfo classInfo, boolean allowNull)

  - ### Method Detail

    - #### @Override
      public boolean isAssignableFrom(Class classToTransformFrom)

    - #### @Override
      public boolean isDirectlyAssignable(Object argument)